XCB: XCB BigRequests API

XCB 1.17.0

Data Structures | Macros | Typedefs | Functions | Variables
XCB BigRequests API

BigRequests XCB Protocol Implementation. More...

## Data Structures
struct | xcb_big_requests_enable_cookie_t
| xcb_big_requests_enable_cookie_t More...
struct | xcb_big_requests_enable_request_t
| xcb_big_requests_enable_request_t More...
struct | xcb_big_requests_enable_reply_t
| xcb_big_requests_enable_reply_t More...

## Macros
#define | XCB_BIGREQUESTS_MAJOR_VERSION 0
#define | XCB_BIGREQUESTS_MINOR_VERSION 0
#define | XCB_BIG_REQUESTS_ENABLE 0

## Typedefs
typedef struct xcb_big_requests_enable_cookie_t | xcb_big_requests_enable_cookie_t
| xcb_big_requests_enable_cookie_t
typedef struct xcb_big_requests_enable_request_t | xcb_big_requests_enable_request_t
| xcb_big_requests_enable_request_t
typedef struct xcb_big_requests_enable_reply_t | xcb_big_requests_enable_reply_t
| xcb_big_requests_enable_reply_t

## Functions
xcb_big_requests_enable_cookie_t | xcb_big_requests_enable (xcb_connection_t *c)
| Enable the BIG-REQUESTS extension.
xcb_big_requests_enable_cookie_t | xcb_big_requests_enable_unchecked (xcb_connection_t *c)
| Enable the BIG-REQUESTS extension.
xcb_big_requests_enable_reply_t * | xcb_big_requests_enable_reply (xcb_connection_t *c, xcb_big_requests_enable_cookie_t cookie, xcb_generic_error_t **e)

## Variables
xcb_extension_t | xcb_big_requests_id

## Detailed Description

BigRequests XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_BIG_REQUESTS_ENABLE

#define XCB_BIG_REQUESTS_ENABLE 0

Opcode for xcb_big_requests_enable.

Referenced by xcb_big_requests_enable(), and xcb_big_requests_enable_unchecked().

## Function Documentation

## ◆ xcb_big_requests_enable()

xcb_big_requests_enable_cookie_t xcb_big_requests_enable | ( | xcb_connection_t * | c | ) |

Enable the BIG-REQUESTS extension.

Parameters

  c | The connection

Returns
  A cookie

This enables the BIG-REQUESTS extension, which allows for requests larger than 262140 bytes in length. When enabled, if the 16-bit length field is zero, it is immediately followed by a 32-bit length field specifying the length of the request in 4-byte units.

References XCB_BIG_REQUESTS_ENABLE.

Referenced by xcb_prefetch_maximum_request_length().

## ◆ xcb_big_requests_enable_reply()

xcb_big_requests_enable_reply_t * xcb_big_requests_enable_reply | ( | xcb_connection_t * | c,
|  | xcb_big_requests_enable_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_big_requests_enable_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

Referenced by xcb_get_maximum_request_length().

## ◆ xcb_big_requests_enable_unchecked()

xcb_big_requests_enable_cookie_t xcb_big_requests_enable_unchecked | ( | xcb_connection_t * | c | ) |

Enable the BIG-REQUESTS extension.

Parameters

  c | The connection

Returns
  A cookie

This enables the BIG-REQUESTS extension, which allows for requests larger than 262140 bytes in length. When enabled, if the 16-bit length field is zero, it is immediately followed by a 32-bit length field specifying the length of the request in 4-byte units.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_BIG_REQUESTS_ENABLE.